Message: Re: Incompatible -lInventorXt Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Re: Incompatible -lInventorXt 

Forum: Installation and Configuration
Re: None Incompatible -lInventorXt (George Peterson)
Date: 09 Jul, 2012
From: Ben Morgan <Ben Morgan>

Hi George,

On Fri, 06 Jul 2012 17:36:44 GMT, George Peterson wrote:
> Creating shared library
> /root/geant4_workdir/tmp/Linux-g++/exampleB1/libexampleB1.so �
> /usr/bin/ld:  skipping incompatible /usr/lib/libInventorXt.so when searching
> for -lInventorXt
> /usr/bin/ld:  skipping incompatible /usr/lib/libInventorXt.so when searching
> for �lInventorXt
> /usr/bin/ld:  skipping incompatible
> /usr/lib/gcc/x86_64-redhad-linux/4.4.6/../../../libInventorXt.so when
> searching for �lInventorXt
> /usr/bin/ld:  skipping incompatible /usr/lib/libInventorXt.so when searching
> for �lInventorXt
> /usr/bin/ld:  cannot find �lInventorXt
> collect2:  ld returned 1 exit status
> make:  *** [/root/geant4_workdir/tmp/Linux-g++/exampleB1/libexampleB1.so]
> Error 1
> 
> My first instinct is that there must be a 64 bit file for libInventorXt.so,
> but I have tried installing inventor 3 different times, and I never get one
> in my /usr/lib64 directory.

How did you install Inventor - through an rpm, a binary package from Coin3d or from source? As you identify, you need the 64bit libraries, and the installation method of Coin will affect this.

Cheers,

Ben.

 Add Message Add Message
to: "Re: Incompatible -lInventorXt"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]